FLTK: Screen functions

FLTK

Functions
Screen functions

fl global screen functions declared in <FL/Fl.H> More...

## Functions
static int | Fl::h ()
| Returns the height in pixels of the main screen work area.
static int | Fl::screen_count ()
| Gets the number of available screens.
static void | Fl::screen_dpi (float &h, float &v, int n=0)
| Gets the screen resolution in dots-per-inch for the given screen. More...
static int | Fl::screen_num (int x, int y)
| Gets the screen number of a screen that contains the specified screen position `x`, `y`. More...
static int | Fl::screen_num (int x, int y, int w, int h)
| Gets the screen number for the screen which intersects the most with the rectangle defined by `x`, `y`, `w`, `h`. More...
static void | Fl::screen_work_area (int &X, int &Y, int &W, int &H)
| Gets the bounding box of the work area of the screen that contains the mouse pointer. More...
static void | Fl::screen_work_area (int &X, int &Y, int &W, int &H, int mx, int my)
| Gets the bounding box of the work area of a screen that contains the specified screen position `mx`, `my`. More...
static void | Fl::screen_work_area (int &X, int &Y, int &W, int &H, int n)
| Gets the bounding box of the work area of the given screen. More...
static void | Fl::screen_xywh (int &X, int &Y, int &W, int &H)
| Gets the bounding box of a screen that contains the mouse pointer. More...
static void | Fl::screen_xywh (int &X, int &Y, int &W, int &H, int mx, int my)
| Gets the bounding box of a screen that contains the specified screen position `mx`, `my`. More...
static void | Fl::screen_xywh (int &X, int &Y, int &W, int &H, int mx, int my, int mw, int mh)
| Gets the screen bounding rect for the screen which intersects the most with the rectangle defined by `mx`, `my`, `mw`, `mh`. More...
static void | Fl::screen_xywh (int &X, int &Y, int &W, int &H, int n)
| Gets the screen bounding rect for the given screen. More...
static int | Fl::w ()
| Returns the width in pixels of the main screen work area.
static int | Fl::x ()
| Returns the leftmost x coordinate of the main screen work area.
static int | Fl::y ()
| Returns the topmost y coordinate of the main screen work area.

## Detailed Description

fl global screen functions declared in <FL/Fl.H>

## Function Documentation

## ◆ screen_dpi()

void Fl::screen_dpi | ( | float & | h,
|  | float & | v,
|  | int | n = `0`
| ) |  |
| static

Gets the screen resolution in dots-per-inch for the given screen.

Parameters

  [out] | h,v | horizontal and vertical resolution
  [in] | n | the screen number (0 to Fl::screen_count() - 1)

See also
  void screen_xywh(int &x, int &y, int &w, int &h, int mx, int my)

## ◆ screen_num() [1/2]

int Fl::screen_num | ( | int | x,
|  | int | y
| ) |  |
| static

Gets the screen number of a screen that contains the specified screen position `x`, `y`.

Parameters

  [in] | x,y | the absolute screen position

## ◆ screen_num() [2/2]

int Fl::screen_num | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |
| static

Gets the screen number for the screen which intersects the most with the rectangle defined by `x`, `y`, `w`, `h`.

Parameters

  [in] | x,y,w,h | the rectangle to search for intersection with

## ◆ screen_work_area() [1/3]

static void Fl::screen_work_area | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H
| ) |  |
| inlinestatic

Gets the bounding box of the work area of the screen that contains the mouse pointer.

Parameters

  [out] | X,Y,W,H | the work area bounding box

See also
  void screen_work_area(int &x, int &y, int &w, int &h, int mx, int my)

## ◆ screen_work_area() [2/3]

void Fl::screen_work_area | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H,
|  | int | mx,
|  | int | my
| ) |  |
| static

Gets the bounding box of the work area of a screen that contains the specified screen position `mx`, `my`.

Parameters

  [out] | X,Y,W,H | the work area bounding box
  [in] | mx,my | the absolute screen position

## ◆ screen_work_area() [3/3]

void Fl::screen_work_area | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H,
|  | int | n
| ) |  |
| static

Gets the bounding box of the work area of the given screen.

Parameters

  [out] | X,Y,W,H | the work area bounding box
  [in] | n | the screen number (0 to Fl::screen_count() - 1)

See also
  void screen_xywh(int &x, int &y, int &w, int &h, int mx, int my)

## ◆ screen_xywh() [1/4]

static void Fl::screen_xywh | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H
| ) |  |
| inlinestatic

Gets the bounding box of a screen that contains the mouse pointer.

Parameters

  [out] | X,Y,W,H | the corresponding screen bounding box

See also
  void screen_xywh(int &x, int &y, int &w, int &h, int mx, int my)

## ◆ screen_xywh() [2/4]

void Fl::screen_xywh | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H,
|  | int | mx,
|  | int | my
| ) |  |
| static

Gets the bounding box of a screen that contains the specified screen position `mx`, `my`.

Parameters

  [out] | X,Y,W,H | the corresponding screen bounding box
  [in] | mx,my | the absolute screen position

## ◆ screen_xywh() [3/4]

void Fl::screen_xywh | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H,
|  | int | mx,
|  | int | my,
|  | int | mw,
|  | int | mh
| ) |  |
| static

Gets the screen bounding rect for the screen which intersects the most with the rectangle defined by `mx`, `my`, `mw`, `mh`.

Parameters

  [out] | X,Y,W,H | the corresponding screen bounding box
  [in] | mx,my,mw,mh | the rectangle to search for intersection with

See also
  void screen_xywh(int &X, int &Y, int &W, int &H, int n)

## ◆ screen_xywh() [4/4]

void Fl::screen_xywh | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H,
|  | int | n
| ) |  |
| static

Gets the screen bounding rect for the given screen.

Under MSWindows, Mac OS X, and the Gnome desktop, screen #0 contains the menubar/taskbar

Parameters

  [out] | X,Y,W,H | the corresponding screen bounding box
  [in] | n | the screen number (0 to Fl::screen_count() - 1)

See also
  void screen_xywh(int &x, int &y, int &w, int &h, int mx, int my)

- © 1998-2016 by Bill Spitzak and others.